Get Preset
GET/api/v2/preset/:id
Request
Path Parameters
id integerrequired
The id of the preset
Example: 281
Responses
- 200
success
- application/json
- Schema
- Example (from schema)
Schema
id integer
name string
config string
rpdx_version string
user_id integer
created_at string
updated_at string
{
"id": 11,
"name": "preset 2",
"config": "{\"schema\":\"2.5\",\"limits\":{\"faces\":{\"count\":30000},\"textures\":{\"baseColor\":2048,\"emissive\":2048,\"normal\":2048,\"orm\":2048}},\"assetSimplification\":{\"meshDecimation\":{\"method\":\"rebake\"},\"topologySettings\":{\"vertexMergingDistance\":0.005,\"meshDensityEqualization\":0,\"boundaryPreservationFactor\":0.5},\"uvAndAtlasSettings\":{\"uvStretchTolerance\":0},\"materialAndTextureBaking\":{\"bakingQuality\":\"medium\",\"bakeNormalMap\":true,\"bakeAOMap\":false}},\"compressionAndExport\":{\"fileExports\":[{\"fileType\":\"glb\",\"meshCompressionMethod\":\"none\",\"customScaling\":1,\"textureFormat\":{\"baseColor\":\"auto\",\"emissive\":\"auto\",\"normal\":\"png\",\"orm\":\"auto\"}}]}}",
"rpdx_version": "6.1.1",
"user_id": 328,
"created_at": "2021-04-22T09:11:30.000000Z",
"updated_at": "2021-04-22T09:11:30.000000Z"
}
Loading...